[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.GetNextVisible

Gets the next visible node child or sibling for the current node.

## Declaration

Source position: comctrls.pp line 3121

`public function TTreeNode.GetNextVisible(`
`aEnabledOnly: Boolean = False`
`):TTreeNode;`

## Arguments

`aEnabledOnly` |  | True if the next node must also be Enabled. False if Enabled is not examined.

## Function result

Next visible node in the tree node navigation order, or Nil.

## Description

GetNextVisible is a TTreeNode function used to get the next visible node for the current tree node. The node in the return value must be both visible and expanded. When AEnabledOnly is set to True, the node must also have its Enabled property set to True.

GetNextVisible checks for visible and expanded child nodes first. If a child node is not found, the next visible and expanded sibling nodes are checked. If neither of those searches finds a node, the return value is set to the Parent node.

The return value is Nil if a visible and expanded node is not found using the preceding logic, or when none of the ancestor nodes are visible and expanded.